%global sum	A small and simple XML parser

%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	%{sum}
Name:		tinyxml
Version:	2.6.2
Release:	%mkrel 4
License:	zlib
Group:		System/Libraries
Url:		http://www.grinninglizard.com/tinyxml/
Source0:	https://downloads.sourceforge.net/tinyxml/%{name}-%{version}.tar.xz
Source1:	FindTinyXML.cmake
Patch0:		tinyxml-2.5.3-stl.patch

%description
TinyXML is a simple, small, C++ XML parser

%package -n %{libname}
Summary:	A small and simple XML parsing library
Group:		System/Libraries

%description -n %{libname}
TinyXML is a simple, small, C++ XML parser that can be easily
integrating into other programs. Have you ever found yourself
writing a text file parser every time you needed to save human
readable data or serialize objects? TinyXML solves the text I/O
file once and for all.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%prep
%setup -qn %{name}
%autopatch -p1

%build
for i in tinyxml.cpp tinystr.cpp tinyxmlerror.cpp tinyxmlparser.cpp; do
 	g++ %{optflags} -fPIC -o $i.o -c $i
done
g++ %{optflags} -shared -o lib%{name}.so.0.%{version} \
    %{ldflags} -Wl,-soname,lib%{name}.so.0 *.cpp.o


%install
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}
install -m 755 lib%{name}.so.0.%{version} %{buildroot}%{_libdir}
ln -s lib%{name}.so.%{major}.%{version} %{buildroot}%{_libdir}/lib%{name}.so.%{major}
ln -s lib%{name}.so.%{major}.%{version} %{buildroot}%{_libdir}/lib%{name}.so
install -p -m 644 *.h %{buildroot}%{_includedir}

# pkg-config file
mkdir -p %{buildroot}%{_libdir}/pkgconfig
cat << EOF > %{buildroot}%{_libdir}/pkgconfig/%{name}.pc
prefix=%{_prefix}
exec_prefix=%{_exec_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: TinyXML
Description: %{sum}
Version: %{version}
Libs: -L\${libdir} -ltinyxml
Cflags: -I\${includedir} -DTIXML_USE_STL=YES
EOF

# Install CMake find module
install -D -m644 %{_sourcedir}/FindTinyXML.cmake \
                 %{buildroot}%{_datadir}/cmake/Modules/FindTinyXML.cmake

%files -n %{libname}
%{_libdir}/libtinyxml.so.%{major}*

%files -n %{develname}
%doc changes.txt readme.txt
%{_datadir}/cmake/Modules/FindTinyXML.cmake
%{_includedir}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sun Feb 18 2024 tex - 2.6.2-4pclos2024
- rebuild against updates

* Thu Dec 31 2020 tex - 2.6.2-3pclos2020
- rebuild
